var EXTENSION_REGEX = /\.([a-zA-Z0-9]+)$/;

module.exports = function(_ref) {
  var Plugin = _ref.Plugin;
  var t = _ref.types;
  return new Plugin("durian-remove-nonjs", {
    visitor: {
      CallExpression: function CallExpression(node, parent) {
        if (t.isIdentifier(node.callee, { name: "require" })) {
          var requireValue = node.arguments[0].value;
          if (!EXTENSION_REGEX.test(requireValue)) {
            // If require argument doesn't have extension, it should be JS.
            return;
          }

          // Else ensure that the extension is JS.
          var extension = requireValue.match(EXTENSION_REGEX)[1].toLowerCase();
          if (extension != 'js') {
            // Unsure what is dangerous with removing nodes. If replacing node
            // isn't dangerous, why is removing dangerous?
            // TODO: Replace with a commented out node instead.
            this.dangerouslyRemove();
          }
        }
      }
    }
  });
};